Debian Bug report logs - #593920
ncurses-bin: clarify that tic and infotocap work only on text files

version graph

Package: ncurses-bin; Maintainer for ncurses-bin is Craig Small <csmall@debian.org>; Source for ncurses-bin is src:ncurses.

Reported by: Alain Greppin <agreppin@chilibi.org>

Date: Sun, 22 Aug 2010 10:48:02 UTC

Severity: minor

Found in version ncurses/5.7+20081213-1

Fixed in version ncurses/5.7+20101128-1

Done: Sven Joachim <svenjoac@gmx.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#593920; Package ncurses-bin. (Sun, 22 Aug 2010 10:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alain Greppin <agreppin@chilibi.org>:
New Bug report received and forwarded. Copy sent to Craig Small <csmall@debian.org>. (Sun, 22 Aug 2010 10:48:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alain Greppin <agreppin@chilibi.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ncurses-bin: infotocap not working
Date: Sun, 22 Aug 2010 12:45:42 +0200
Package: ncurses-bin
Version: 5.7+20081213-1
Severity: normal

example follows:
$ infotocap /lib/terminfo/v/vt100
"/lib/terminfo/v/vt100", line 1, col 1: Illegal character (expected
alphanumeric or @%&*!#) - '^Z'

-- System Information:
Debian Release: 5.0.5
  APT prefers stable
  APT policy: (700, 'stable'), (650, 'testing'), (600, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages ncurses-bin depends on:
ii  libc6                     2.11.2-2       Embedded GNU C Library: Shared lib
ii  libncurses5               5.7+20100313-2 shared libraries for terminal hand

ncurses-bin recommends no packages.

ncurses-bin suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#593920; Package ncurses-bin. (Sun, 22 Aug 2010 11:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Sun, 22 Aug 2010 11:42:03 GMT) Full text and rfc822 format available.

Message #10 received at 593920@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Alain Greppin <agreppin@chilibi.org>
Cc: 593920@bugs.debian.org
Subject: Re: Bug#593920: ncurses-bin: infotocap not working
Date: Sun, 22 Aug 2010 13:38:29 +0200
On 2010-08-22 12:45 +0200, Alain Greppin wrote:

> Package: ncurses-bin
> Version: 5.7+20081213-1
> Severity: normal
>
> example follows:
> $ infotocap /lib/terminfo/v/vt100
> "/lib/terminfo/v/vt100", line 1, col 1: Illegal character (expected
> alphanumeric or @%&*!#) - '^Z'

Like tic, infotocap only works with terminfo sources as input, not with
compiled terminfo files.  It has to be conceded that the manpage does
not really make this clear.

Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#593920; Package ncurses-bin. (Mon, 23 Aug 2010 18:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Mon, 23 Aug 2010 18:24:06 GMT) Full text and rfc822 format available.

Message #15 received at 593920@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Alain Greppin <agreppin@chilibi.org>, 593920@bugs.debian.org
Cc: Craig Small <csmall@debian.org>
Subject: Re: Bug#593920: ncurses-bin: infotocap not working
Date: Mon, 23 Aug 2010 14:21:11 -0400 (EDT)
On Sun, 22 Aug 2010, Alain Greppin wrote:

> Package: ncurses-bin
> Version: 5.7+20081213-1
> Severity: normal
>
> example follows:
> $ infotocap /lib/terminfo/v/vt100
> "/lib/terminfo/v/vt100", line 1, col 1: Illegal character (expected
> alphanumeric or @%&*!#) - '^Z'

man infotocap

       infotocap looks in file for terminfo descriptions.  For each one found,
       an equivalent termcap description is written to standard output.   Ter-
       minfo  use capabilities are translated directly to termcap tc capabili-
       ties.

a terminal description is a text-file.  You're pointing it to a compiled
(binary) file.  Use infocmp to convert items from the compiled terminal
database.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#593920; Package ncurses-bin. (Mon, 23 Aug 2010 20:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Mon, 23 Aug 2010 20:03:09 GMT) Full text and rfc822 format available.

Message #20 received at 593920@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Sven Joachim <svenjoac@gmx.de>, 593920@bugs.debian.org
Cc: Alain Greppin <agreppin@chilibi.org>, Craig Small <csmall@debian.org>
Subject: Re: Bug#593920: ncurses-bin: infotocap not working
Date: Mon, 23 Aug 2010 16:00:47 -0400 (EDT)
On Sun, 22 Aug 2010, Sven Joachim wrote:

> On 2010-08-22 12:45 +0200, Alain Greppin wrote:
>
>> Package: ncurses-bin
>> Version: 5.7+20081213-1
>> Severity: normal
>>
>> example follows:
>> $ infotocap /lib/terminfo/v/vt100
>> "/lib/terminfo/v/vt100", line 1, col 1: Illegal character (expected
>> alphanumeric or @%&*!#) - '^Z'
>
> Like tic, infotocap only works with terminfo sources as input, not with
> compiled terminfo files.  It has to be conceded that the manpage does
> not really make this clear.

It's clear if one realizes that a terminal description is a "terminfo 
source".  But confusion on this detail has been longstanding, and not 
limited to infotocap.  I've also seen people attempting to run tic on 
files in the terminal database.

Since the confusion is very specific, it might be useful to add a check
to the source-reader which immediately errors out if the "source" begins
with the magic code corresponding to compiled entries.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#593920; Package ncurses-bin. (Wed, 25 Aug 2010 10:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alain Greppin <agreppin@chilibi.org>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Wed, 25 Aug 2010 10:54:04 GMT) Full text and rfc822 format available.

Message #25 received at 593920@bugs.debian.org (full text, mbox):

From: Alain Greppin <agreppin@chilibi.org>
To: Thomas Dickey <dickey@his.com>
Cc: Sven Joachim <svenjoac@gmx.de>, 593920@bugs.debian.org, Craig Small <csmall@debian.org>
Subject: Re: Bug#593920: ncurses-bin: infotocap not working
Date: Wed, 25 Aug 2010 12:41:44 +0200
Thomas Dickey wrote:
> It's clear if one realizes that a terminal description is a "terminfo 
> source".  But confusion on this detail has been longstanding, and not 
> limited to infotocap.  I've also seen people attempting to run tic on 
> files in the terminal database.
>
Thanks guys, I now found what I searched for in the ncurses debian 
source package (xterm.ti, the terminfo source for xterm).
> Since the confusion is very specific, it might be useful to add a check
> to the source-reader which immediately errors out if the "source" begins
> with the magic code corresponding to compiled entries.
>

This is a good idea to avoid future bug reports like this one. And one 
more line in the man page to explain this will be even better.

Regards,
Alain




Changed Bug title to 'ncurses-bin: clarify that tic and infotocap work only on text files' from 'ncurses-bin: infotocap not working' Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Wed, 15 Sep 2010 08:45:03 GMT) Full text and rfc822 format available.

Severity set to 'minor' from 'normal' Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Wed, 15 Sep 2010 08:45:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Wed, 15 Sep 2010 11:45:07 GMT) Full text and rfc822 format available.

Message sent on to Alain Greppin <agreppin@chilibi.org>:
Bug#593920. (Wed, 15 Sep 2010 11:45:12 GMT) Full text and rfc822 format available.

Message #34 received at 593920-submitter@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 593920-submitter@bugs.debian.org
Subject: Bug#593920 marked as pending
Date: Wed, 15 Sep 2010 11:41:51 +0000
tag 593920 pending
thanks

Hello,

Bug #593920 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=collab-maint/ncurses.git;a=commitdiff;h=8a3dfcc

---
commit 8a3dfcc5f2f83d75af7ce0dafc7b630859b0cadf
Author: Sven Joachim <svenjoac@gmx.de>
Date:   Wed Sep 15 13:00:12 2010 +0200

    Close bug #593920
    
    The relevant changes were made in the upstream 20100828 patch.

diff --git a/debian/changelog b/debian/changelog
index ae4fcec..5cb9073 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,6 +1,9 @@
 ncurses (5.7+20100911-1) UNRELEASED; urgency=low
 
   [ Sven Joachim ]
+  * New upstream patchlevel.
+    - Clarify that infotocap, captoinfo and tic read text files and do
+      not work with compiled terminfo files (Closes: #593920).
   * Ship mlterm terminfo in ncurses-term (see #485448).
   * Ship curses and termcap symlinks in lib{32,64}ncurses5-dev (LP: #485118).
   * Add lintian override for the empty /usr/share/terminfo directory that




Information stored :
Bug#593920; Package ncurses-bin. (Wed, 15 Sep 2010 17:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alain Greppin <al@chilibi.org>:
Extra info received and filed, but not forwarded. (Wed, 15 Sep 2010 17:06:03 GMT) Full text and rfc822 format available.

Message #39 received at 593920-quiet@bugs.debian.org (full text, mbox):

From: Alain Greppin <al@chilibi.org>
To: Sven Joachim <svenjoac@gmx.de>, 593920-quiet@bugs.debian.org
Cc: 593920-submitter@bugs.debian.org
Subject: Re: Bug#593920: marked as pending
Date: Wed, 15 Sep 2010 18:46:35 +0200
> +    - Clarify that infotocap, captoinfo and tic read text files and do
> +      not work with compiled terminfo files (Closes: #593920).

Thanks ! Initially, I liked to change the xterm entry to have more colors displayed on the man pages. After your explanation, I did find the xterm.ti file in the debian source package, modified it as liked and compiled it with tic. Now, I have nice colored man pages on xterm.

Regards,





Message sent on to Alain Greppin <agreppin@chilibi.org>:
Bug#593920. (Wed, 15 Sep 2010 17:06:05 GMT) Full text and rfc822 format available.

Reply sent to Sven Joachim <svenjoac@gmx.de>:
You have taken responsibility. (Fri, 31 Dec 2010 14:09:18 GMT) Full text and rfc822 format available.

Notification sent to Alain Greppin <agreppin@chilibi.org>:
Bug acknowledged by developer. (Fri, 31 Dec 2010 14:09:19 GMT) Full text and rfc822 format available.

Message #47 received at 593920-close@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 593920-close@bugs.debian.org
Subject: Bug#593920: fixed in ncurses 5.7+20101128-1
Date: Fri, 31 Dec 2010 14:05:49 +0000
Source: ncurses
Source-Version: 5.7+20101128-1

We believe that the bug you reported is fixed in the latest version of
ncurses, which is due to be installed in the Debian FTP archive:

lib32ncurses5-dev_5.7+20101128-1_amd64.deb
  to main/n/ncurses/lib32ncurses5-dev_5.7+20101128-1_amd64.deb
lib32ncurses5_5.7+20101128-1_amd64.deb
  to main/n/ncurses/lib32ncurses5_5.7+20101128-1_amd64.deb
lib32ncursesw5-dev_5.7+20101128-1_amd64.deb
  to main/n/ncurses/lib32ncursesw5-dev_5.7+20101128-1_amd64.deb
lib32ncursesw5_5.7+20101128-1_amd64.deb
  to main/n/ncurses/lib32ncursesw5_5.7+20101128-1_amd64.deb
libncurses5-dbg_5.7+20101128-1_amd64.deb
  to main/n/ncurses/libncurses5-dbg_5.7+20101128-1_amd64.deb
libncurses5-dev_5.7+20101128-1_amd64.deb
  to main/n/ncurses/libncurses5-dev_5.7+20101128-1_amd64.deb
libncurses5_5.7+20101128-1_amd64.deb
  to main/n/ncurses/libncurses5_5.7+20101128-1_amd64.deb
libncursesw5-dbg_5.7+20101128-1_amd64.deb
  to main/n/ncurses/libncursesw5-dbg_5.7+20101128-1_amd64.deb
libncursesw5-dev_5.7+20101128-1_amd64.deb
  to main/n/ncurses/libncursesw5-dev_5.7+20101128-1_amd64.deb
libncursesw5_5.7+20101128-1_amd64.deb
  to main/n/ncurses/libncursesw5_5.7+20101128-1_amd64.deb
ncurses-base_5.7+20101128-1_all.deb
  to main/n/ncurses/ncurses-base_5.7+20101128-1_all.deb
ncurses-bin_5.7+20101128-1_amd64.deb
  to main/n/ncurses/ncurses-bin_5.7+20101128-1_amd64.deb
ncurses-doc_5.7+20101128-1_all.deb
  to main/n/ncurses/ncurses-doc_5.7+20101128-1_all.deb
ncurses-examples_5.7+20101128-1_amd64.deb
  to main/n/ncurses/ncurses-examples_5.7+20101128-1_amd64.deb
ncurses-term_5.7+20101128-1_all.deb
  to main/n/ncurses/ncurses-term_5.7+20101128-1_all.deb
ncurses_5.7+20101128-1.debian.tar.gz
  to main/n/ncurses/ncurses_5.7+20101128-1.debian.tar.gz
ncurses_5.7+20101128-1.dsc
  to main/n/ncurses/ncurses_5.7+20101128-1.dsc
ncurses_5.7+20101128.orig.tar.gz
  to main/n/ncurses/ncurses_5.7+20101128.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 593920@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sven Joachim <svenjoac@gmx.de> (supplier of updated ncurses package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 29 Nov 2010 16:41:55 +0100
Source: ncurses
Binary: libncurses5 libncurses5-dev libncurses5-dbg libncursesw5 libncursesw5-dev libncursesw5-dbg lib64ncurses5 lib64ncurses5-dev lib32ncurses5 lib32ncurses5-dev lib32ncursesw5 lib32ncursesw5-dev ncurses-bin ncurses-base ncurses-term ncurses-examples ncurses-doc
Architecture: source amd64 all
Version: 5.7+20101128-1
Distribution: experimental
Urgency: low
Maintainer: Craig Small <csmall@debian.org>
Changed-By: Sven Joachim <svenjoac@gmx.de>
Description: 
 lib32ncurses5 - shared libraries for terminal handling (32-bit)
 lib32ncurses5-dev - developer's libraries for ncurses (32-bit)
 lib32ncursesw5 - shared libraries for terminal handling (wide character support) (
 lib32ncursesw5-dev - developer's libraries for ncursesw (32-bit)
 lib64ncurses5 - shared libraries for terminal handling (64-bit)
 lib64ncurses5-dev - developer's libraries for ncurses (64-bit)
 libncurses5 - shared libraries for terminal handling
 libncurses5-dbg - debugging/profiling libraries for ncurses
 libncurses5-dev - developer's libraries for ncurses
 libncursesw5 - shared libraries for terminal handling (wide character support)
 libncursesw5-dbg - debugging/profiling libraries for ncursesw
 libncursesw5-dev - developer's libraries for ncursesw
 ncurses-base - basic terminal type definitions
 ncurses-bin - terminal-related programs and man pages
 ncurses-doc - developer's guide and documentation for ncurses
 ncurses-examples - test programs and examples for ncurses
 ncurses-term - additional terminal type definitions
Closes: 34182 233400 451667 522435 586144 593920 602300 606034
Changes: 
 ncurses (5.7+20101128-1) experimental; urgency=low
 .
   [ Sven Joachim ]
   * New upstream patchlevel.
     - Clarify that infotocap, captoinfo and tic read text files and do
       not work with compiled terminfo files (Closes: #593920).
   * Remove dangling /usr/share/terminfo/k/kon2 symlink (Closes: #522435).
   * Add an ncurses-examples package containing the compiled test programs
     (Closes: #34182).  Stop shipping the sources in libncurses5-dev.
   * Move documentation and section 3 manpages to a new ncurses-doc package
     (Closes: #233400).  Suggest ncurses-doc in all -dev packages.
   * Register the documentation in doc-base (Closes: #451667).
   * Remove the rather useless README.Debian (Closes: #606034).
   * Move libtic libraries to /usr.
   * Tighten the dependencies of the lib{32,64}ncurses*-dev packages to their
     regular counterparts.
   * Provide symbols files in all library packages.
     - Use them to compute the dependencies of the other packages instead of
       messing around with local shlibs files.
   * Ship mlterm terminfo in ncurses-term (see #485448).
   * Ship curses and termcap symlinks in lib{32,64}ncurses5-dev (LP: #485118).
   * Add lintian override for the empty /usr/share/terminfo directory that
     was introduced in 5.7+20100313-2.
   * Stop building the test programs in every library build.
   * Fix non-idempotency of the install (and thus the binary) target in
     debian/rules introduced in 5.7+20100313-1.
   * Do not unnecessarily add /lib32 and /usr/lib32 to dh_shlibdeps' search
     path when calculating the dependencies of the 32-bit libraries.
   * Do not allow dh_shlibdeps to fail for the 64-bit libraries.
   * Drop most patches as obsolete or unused:
     - 09-fix-delscreen-segfault.diff, applied upstream.
     - 06-kfreebsd.diff, apparently no longer needed.
     - 03-linux-use-fsuid.diff, patched code that is not compiled if ncurses
       is configured with "--disable-termcap", as we do.
     - 01-use-d-reentrant.diff, no longer needed since all architectures moved
       away from LinuxThreads and Policy 3.9.1 has explicitly removed the need
       to #define _REENTRANT.
   * Refresh all remaining Debian patches and add DEP-3 headers to them.
   * Remove the fix for bug #127622 from 02-debian-backspace.diff,
     no longer needed.
   * Update patch 02-debian-backspace.diff to get kbs=\177 in all screen-*
     terminfo entries (Closes: #602300).
   * Drop the rather outdated screen terminfo from the debian directory and use
     the one provided by upstream's terminfo.src instead.
   * Get CFLAGS, CXXFLAGS and LDFLAGS from dpkg-buildflags, adding a build
     dependency on dpkg-dev (>= 1.15.7).
   * Switch to format 3.0 (quilt).
     - Remove quilt build dependency and patch/unpatch logic from debian/rules.
     - Drop debian/README.source.
   * Add a debian/watch file.
   * Extend the package descriptions.
   * Remove duplicate "Priority:" fields from debian/control.
   * Update debian/copyright:
     - Update FSF Copyright years.
     - Mention other copyright holders and licenses.
     - Give a pointer to the current location of the ncurses sources.
     - Stop mentioning Debian changes.
   * Upgrade Standards-Version to 3.9.1, no changes needed.
 .
   [ Loïc Minier ]
   * Update patch 05-emdebian-wchar to apply cleanly.
   * Drop 08-pkg-config-libdir patch as dpkg >= 1.15.6 don't set
     PKG_CONFIG_LIBDIR anymore.
 .
   [ Steve Langasek ]
   * Export LDFLAGS in debian/rules (Closes: #586144).
Checksums-Sha1: 
 447ace7bf91acec8549f2757765f03fa45df1899 1637 ncurses_5.7+20101128-1.dsc
 871ff1a0484fd2d621dda88ba914a877ab3eae6b 2741870 ncurses_5.7+20101128.orig.tar.gz
 a10fdb0a1c8b3469fd18f361170b039f02daa766 57193 ncurses_5.7+20101128-1.debian.tar.gz
 a84a81a3ffe0ddd0067ad3df59b01a95a139312a 374232 libncurses5_5.7+20101128-1_amd64.deb
 e40b25c594eaaa7dab512cc33623ffc6b616ef7c 502486 libncurses5-dev_5.7+20101128-1_amd64.deb
 7939c6ee2c649be811e1587b600a62a7078a2e8b 3535086 libncurses5-dbg_5.7+20101128-1_amd64.deb
 46ce3bd1debc5d5d76c0d4fc50cc87e822bbc458 398902 libncursesw5_5.7+20101128-1_amd64.deb
 40dc6425483a86ee4acf5136e636d32d929df983 534934 libncursesw5-dev_5.7+20101128-1_amd64.deb
 88b1f6b069961f597b7e63c4d86d81d9351dd70f 2810360 libncursesw5-dbg_5.7+20101128-1_amd64.deb
 6f6cedf68b9b8f1a3ab26d70fff639c7b92ea89e 354472 lib32ncurses5_5.7+20101128-1_amd64.deb
 9a4f921c36e65a1e75cbe5708a9ce813423145b4 403178 lib32ncurses5-dev_5.7+20101128-1_amd64.deb
 93419654c17230727c0be2e0af189224a50fbb47 381638 lib32ncursesw5_5.7+20101128-1_amd64.deb
 72b66517c2b8d82093a281518d541a3dcea0091a 433014 lib32ncursesw5-dev_5.7+20101128-1_amd64.deb
 580a4eae569f0b21ead53cac60eca528b5951fb1 328776 ncurses-bin_5.7+20101128-1_amd64.deb
 711222f1085eca3efe201d0e982cffc65828571b 409666 ncurses-examples_5.7+20101128-1_amd64.deb
 be516a70259f0dcf690ce015cd0d6898a2adabe1 193370 ncurses-base_5.7+20101128-1_all.deb
 19ee0542cb7174f19aed57bd4749d89cfcedb67b 590104 ncurses-term_5.7+20101128-1_all.deb
 afda85024edb65e2e4fb34aa5515cd3b3269a67a 1013344 ncurses-doc_5.7+20101128-1_all.deb
Checksums-Sha256: 
 94425c0c2999eac2ad2d06f183ae466ef906ded6dd54d9ca2f553ad1b8ec03df 1637 ncurses_5.7+20101128-1.dsc
 1370f04e4152cb41a61b3e1df4473b8357c882b544221dfdf0664c1fcf46624d 2741870 ncurses_5.7+20101128.orig.tar.gz
 1de186dffaf116f65c4ebbb281dcf553346ac729f6451f558e1de0f829831f0a 57193 ncurses_5.7+20101128-1.debian.tar.gz
 31b6720f37c8b05f58b00cbd63babab5d92df7e3dab3de795ebf9b9b387cb440 374232 libncurses5_5.7+20101128-1_amd64.deb
 d6b2bf46384b9515cc7d01a60683ff798a0c89c54b1681153852c7d031d0d0b3 502486 libncurses5-dev_5.7+20101128-1_amd64.deb
 8869525fd35bfae753bfeedcba9edeb10deb8a8dd7ce40101f7e931aef25e560 3535086 libncurses5-dbg_5.7+20101128-1_amd64.deb
 bc11e5e5989168ff874d165c0c9b03fd8bfc3e5558ccfea68094c125e5c49c11 398902 libncursesw5_5.7+20101128-1_amd64.deb
 eaa92851e1c18fb2f9c74eb096e4e41ef86f03601c864eda774fcec318d72ad5 534934 libncursesw5-dev_5.7+20101128-1_amd64.deb
 d5859dd3ded77a771efd110e6e456534dd1cab4cda6f888358a8c239c4883bb3 2810360 libncursesw5-dbg_5.7+20101128-1_amd64.deb
 2b379be0b3e09791268c0cbf8c2ca7ec74fd607686d27890d33f1e69c0dda1ee 354472 lib32ncurses5_5.7+20101128-1_amd64.deb
 cf46f9e2c527501dc411f37b94925238c87e64946e33b23d8d1c029ff4f760b9 403178 lib32ncurses5-dev_5.7+20101128-1_amd64.deb
 6d24616c6b58feebf7c47f58ee6ee75e3c20fb3a0a87f9acb4858acbb208b6b5 381638 lib32ncursesw5_5.7+20101128-1_amd64.deb
 3b191e3c2c9639e5d12f0e0f6916e41841fd07d5848dcb9c4ecd215d2cc18b9c 433014 lib32ncursesw5-dev_5.7+20101128-1_amd64.deb
 79018418a140f8ac4720d2fb6f54ace1f688eed53d145c74c4f44ecb076c5626 328776 ncurses-bin_5.7+20101128-1_amd64.deb
 82193a37f2f01908b854cf23975fc9bec9f93203d99b47c651042d9066d32608 409666 ncurses-examples_5.7+20101128-1_amd64.deb
 5571cf8bfd6cfa3d31a5ecade3a44fd8fd849e017915a401910b05579a500f37 193370 ncurses-base_5.7+20101128-1_all.deb
 21a9b88488f4bcc4eb18ac91dcebbb0d9c5edfa78be2997b546fc5f6e696f388 590104 ncurses-term_5.7+20101128-1_all.deb
 3353f89cc4302c77a92898b47331609e0b5998e5da260696ccc666da54655be8 1013344 ncurses-doc_5.7+20101128-1_all.deb
Files: 
 633381900c5804735a1a07c68904998d 1637 libs required ncurses_5.7+20101128-1.dsc
 545701981f14b0bb1f21589648a14517 2741870 libs required ncurses_5.7+20101128.orig.tar.gz
 6cba3f0660fdadfea56388d8957571ba 57193 libs required ncurses_5.7+20101128-1.debian.tar.gz
 b47950a7f978f09ddb54b0af89116dfb 374232 libs required libncurses5_5.7+20101128-1_amd64.deb
 03912a578ec45fe9e97d4171e2f97248 502486 libdevel optional libncurses5-dev_5.7+20101128-1_amd64.deb
 1f73c22793a9a07604c307e07d7ab611 3535086 debug extra libncurses5-dbg_5.7+20101128-1_amd64.deb
 40d1ebfdb389afad8dc9f345f32148b9 398902 libs important libncursesw5_5.7+20101128-1_amd64.deb
 f9fedee30d8344dcdae34e23968aa595 534934 libdevel optional libncursesw5-dev_5.7+20101128-1_amd64.deb
 feba476166384b22f11797fb29811efa 2810360 debug extra libncursesw5-dbg_5.7+20101128-1_amd64.deb
 557787979d0018417aa893689ea06051 354472 libs optional lib32ncurses5_5.7+20101128-1_amd64.deb
 54898d30f585e09f058412c3a35961f6 403178 libdevel optional lib32ncurses5-dev_5.7+20101128-1_amd64.deb
 f2a71b5ff9569c637eacbbba64e61373 381638 libs optional lib32ncursesw5_5.7+20101128-1_amd64.deb
 87e0f32c75962c7c60a727e64ee11934 433014 libdevel optional lib32ncursesw5-dev_5.7+20101128-1_amd64.deb
 21e3a7667946c82cdd1d9088e5fe50e4 328776 utils required ncurses-bin_5.7+20101128-1_amd64.deb
 edbf209b96ff803cdc22e04077ff6948 409666 misc optional ncurses-examples_5.7+20101128-1_amd64.deb
 afcb4cfbd904c9cbf2e3647bcdc47bf5 193370 utils required ncurses-base_5.7+20101128-1_all.deb
 5ca918b98800583d87d090b0a7a75192 590104 admin standard ncurses-term_5.7+20101128-1_all.deb
 dde814c423a8f8b44d202fa6c02855e6 1013344 doc optional ncurses-doc_5.7+20101128-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk0O1JcACgkQx2zlrBLK36WxtACeKb4wIZt3HRHyD9w7JnXw4msQ
WZsAoIn8+rCYIgGtKokxyN390DkjENa2
=vPUn
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 04 May 2011 07:34:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:37:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.